package com.yinet.bjtj.mapper;

import com.yinet.bjtj.domain.BjljStatistics;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author yinet
 * @date 2020-04-23
 */
public interface BjljStatisticsMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public BjljStatistics selectBjljStatisticsById(Integer id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param bjljStatistics 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<BjljStatistics> selectBjljStatisticsList(BjljStatistics bjljStatistics);

    /**
     * 新增【请填写功能名称】
     * 
     * @param bjljStatistics 【请填写功能名称】
     * @return 结果
     */
    public int insertBjljStatistics(BjljStatistics bjljStatistics);

    /**
     * 修改【请填写功能名称】
     * 
     * @param bjljStatistics 【请填写功能名称】
     * @return 结果
     */
    public int updateBjljStatistics(BjljStatistics bjljStatistics);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteBjljStatisticsById(Integer id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBjljStatisticsByIds(String[] ids);

    //总计
    public String BjljStatisticsQuantitySum() ;
    //总计个体
    public String BjljStatisticsTypeSum(String type);
    //总计企业
    public String BjljStatisticsNumberSum(String type);
    //总计乡镇个数
    public String BjljStatisticsAreaNameSum(String areaName);
}
